Kerbal Space Program - Bug #2070

Surface samples from Kerbin polar caps displayed as Kerbin shores
02/16/2014 09:48 AM - zero_effect

Status: Duplicate Start date: 02/16/2014
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

After landing on the Kerbin polar cap and taking surface samples and making EVA report the game decides that it is actually Kerbin
Shores. See the attached screen shot.

History

#1 - 02/16/2014 12:00 PM - TruePikachu

IIRC there are weird locations like that, due to how the game selects what biome you are in. | have a biome map from SCANsat, and that isn't the only
issue location.

#2 - 02/16/2014 11:39 PM - TruePikachu

http://steamcommunity.com/profiles/76561198067186781/screenshot/612791117533500455
Just uploaded a screenshot from SCANsat showing what | mean. The zoomed-in area on the map shows a few "Shores" biomes surrounded by
"Poles" (the white lines indicate transitions, the different colors are different biomes).

Note that this can not be considered a confirmation of problems in the biome code itself; the mod's author ended up writing their own function to figure
out what biome everywhere is, rather then using the one in the game itself. However, if anyone wishes to try confirming, | have the lat/lon of one of
the bad shores in the screenshot as well.

While | can't properly confirm this on Windows right now, IIRC | had a very similar issue (grasslands biome instead of shores) at one point. I'm
requesting the bug to be changed to be platform-independant.

#3 - 03/27/2014 05:10 PM - TruePikachu
- Status changed from New to Duplicate

- % Done changed from 0 to 100

I'm marking this as a duplicate of #1582 (being caused by the biome textures and code), since | just found out it has an older bug report
